Got a "Data Sync Conflict"

Regorius
Hello World
Hello World
Posts: 5

Got a "Data Sync Conflict"

Post#1 » 01 Aug 2018, 22:52

Upgraded from Linux version 9 (most likely, still have the download - how to check?) to version 10

  1. Why did I get this fault in first place?
    Network should not be a problem at my end... 100 mbps fibre...
    Might have started two instances simultaneously today... should only read as I got error that version was no longer supported
  2. The question given is impossible to answer
    which one is newer? server or local?
    are both consistent (checksums?)

User avatar
LSTM
Script
Script
Posts: 11

Re: Got a "Data Sync Conflict"

Post#2 » 03 Aug 2018, 10:02

As far as I know, the game stores your AIs in registry [on windows], and when you log in I guess it compares the server side version with the stored one. Your upgrade to Linux version 10 may have influenced wherever data is being stored.

To be safe I would take the server's data over yours.

User avatar
Hairy Phil
Automaton
Automaton
Posts: 153
Contact:

Re: Got a "Data Sync Conflict"

Post#3 » 03 Aug 2018, 13:19

Do you only play on one device, or also on phone for example?

Regorius
Hello World
Hello World
Posts: 5

Re: Got a "Data Sync Conflict"

Post#4 » 03 Aug 2018, 13:58

I play only on one device - will try with the server data.

User avatar
GFX47
Dev
Dev
Posts: 2914

Re: Got a "Data Sync Conflict"

Post#5 » 03 Aug 2018, 21:24

If you play on only one device and didn't uninstall the game since you last played, you can keep local data.

Regorius
Hello World
Hello World
Posts: 5

Re: Got a "Data Sync Conflict"

Post#6 » 05 Aug 2018, 02:43

GFX47 wrote:If you play on only one device and didn't uninstall the game since you last played, you can keep local data.


I run only one device (a Linux PC) upgraded executable by renaming old catalog. Packing up new zip.

There should be NO difference between server and local - but I got the message that did not really help me select which one to keep...

User avatar
Hairy Phil
Automaton
Automaton
Posts: 153
Contact:

Re: Got a "Data Sync Conflict"

Post#7 » 16 Aug 2018, 12:22

@GFX47, this also happened to me, and I think it's possibly because I "skipped" one version that I didn't have time to play. For example, if a user *plays* v1.0, 1.1, and 1.2, no problem. But I suspect if they play v1.0, don't play 1.1, then play 1.2, they get this error. (Version numbers are just examples.)

User avatar
GFX47
Dev
Dev
Posts: 2914

Re: Got a "Data Sync Conflict"

Post#8 » 16 Aug 2018, 15:12

Hairy Phil wrote:@GFX47, this also happened to me, and I think it's possibly because I "skipped" one version that I didn't have time to play. For example, if a user *plays* v1.0, 1.1, and 1.2, no problem. But I suspect if they play v1.0, don't play 1.1, then play 1.2, they get this error. (Version numbers are just examples.)


That would be weird because the game version doesn't impact data version.
But it may hide a bug indeed.

User avatar
Revenge
Neural Network
Neural Network
Posts: 403
Contact:

Re: Got a "Data Sync Conflict"

Post#9 » 16 Aug 2018, 20:57

Hopefully this gets implemented so that we can know which copy is the newest for data errors. ;)
viewtopic.php?f=2&t=1533

ElvenMonk
Neural Network
Neural Network
Posts: 238

Re: Got a "Data Sync Conflict"

Post#10 » 17 Aug 2018, 18:36

I'm getting this on Android if I try to leave the game after unsuccessful game creation (when disconnected).

Return to “Bug Reports”

Who is online

Users browsing this forum: No registered users and 6 guests